Subject: Re: bug#53220: 27.2; scroll-up moves point +1 if text has display property

From: Eli Zaretskii <[email-masked]>
Date: Thu, 13 Jan 2022 14:26:19 +0200

tags 53220 wontfix
close 53220
thanks

> From: [email-masked]
> Date: Thu, 13 Jan 2022 03:07:51 +0900
> 
> 
> Evaluate the form below and type 'C-v', the current point moves next to
> the beginning of line.
> Similarly, if the current point is at the window-start and type 'M-v',
> the buffer scrolls down and the point moves next to the original position.
> 
> (let ((buf (generate-new-buffer "tmp"))
>       (line (propertize "A" 'display "B")))
>   (switch-to-buffer buf)
>   (dotimes (i 100)
>     (insert line ?\n))
>   (goto-char (point-min)))

Preserving the column by scrolling commands is tricky in the presence
of display properties.  I fixed the C-v case (at least partially),
because it was a low-hanging fruit.  But the general solution, if it's
at all possible, is too complicated, and I see no reason to jump
through hoops for such obscure use cases.  We try very hard to
preserve the column during C-n/C-p, and that should be enough.

So I'm closing this bug report.